Subject: Re: [RFC 1/4] kevent: core files.

From: Ulrich Drepper <[email-masked]>
Date: Tue, 01 Aug 2006 00:53:10 -0700

Herbert Xu wrote:
> The other to consider is that events don't come from the hardware.
> Events are written by the kernel.  So if user-space is just reading
> the events that we've written, then there are no cache misses at all.

Not quite true.  The ring buffer can be written to from another
processor.  The kernel thread responsible for generating the event
(receiving data from network or disk, expired timer) can run
independently on another CPU.

This is the case to keep in mind here.  I thought Zach and the other
involved in the discussions in Ottawa said this has been shown to be a
problem and that a ring buffer implementation with something other than
simple front and back pointers is preferable.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖